Subject: bug#53465: closed (Re: [bug#53465] [PATCH 0/2] Update chatty.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Feb 2022 13:09:02 +0000

Your bug report

#53465: [PATCH 0/2] Update chatty.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53465: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53465
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#53465] [PATCH 0/2] Update chatty.
From: Julien Lepiller <[email-masked]>
To: Liliana Marie Prikler <[email-masked]>
Cc: [email-masked]
Date: Tue, 8 Feb 2022 14:08:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Sun, 23 Jan 2022 10:45:47 +0100,
Liliana Marie Prikler <[email-masked]> a écrit :

> Hi Guix,
> 
> chatty is one of the two remaining applications that use
> libhandy-0.0, the other one being authenticator.  With this patch it
> is updated to the latest non-beta release, which builds against
> libhandy.  In order to successfully build it, evolution-data-server
> needs to be built against libphonenumber, so I did that.
> 
> I did not yet test the impact of evolution-data-server on other
> applications, nor did I test chatty itself.  Volunteers welcome.
> 
> Liliana Marie Prikler (2):
>   gnu: evolution-data-server: Build with libphonenumber.
>   gnu: chatty: Update to 0.4.0.
> 
>  gnu/packages/gnome.scm     | 11 +++++++----
>  gnu/packages/messaging.scm | 18 ++++++++++--------
>  2 files changed, 17 insertions(+), 12 deletions(-)
> 

Thanks for the patches! Since evolution-data-server doesn't seem to
have too many dependencies (13), I pushed the patches to master as
e086b0807b079df58d5607770ecd5ec8c480f093 and
db74cfcf36ddd56a199cc919b2e5b5e580133922.

Subject: [PATCH 0/2] Update chatty.
From: Liliana Marie Prikler <[email-masked]>
To: [email-masked]
Date: Sun, 23 Jan 2022 10:45:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

chatty is one of the two remaining applications that use libhandy-0.0, the
other one being authenticator.  With this patch it is updated to the latest
non-beta release, which builds against libhandy.  In order to successfully
build it, evolution-data-server needs to be built against libphonenumber, so
I did that.

I did not yet test the impact of evolution-data-server on other applications,
nor did I test chatty itself.  Volunteers welcome.

Liliana Marie Prikler (2):
  gnu: evolution-data-server: Build with libphonenumber.
  gnu: chatty: Update to 0.4.0.

 gnu/packages/gnome.scm     | 11 +++++++----
 gnu/packages/messaging.scm | 18 ++++++++++--------
 2 files changed, 17 insertions(+), 12 deletions(-)

-- 
2.34.0